package formatterdiagnostics

import (
	"git.sr.ht/~mil/mobroute/api/apirtroute/diagnosticst"
	"git.sr.ht/~mil/mobroute/api/apirtroute/formatterlegs"
)

func FormatDiagnosticsExtra(diagnostics *diagnosticst.RouteDiagnostics, legs *[]formatterlegs.RouteLeg) *diagnosticst.RouteDiagnostics {
	for _, leg := range *legs {
		if leg.LegType == "transfer" {
			diagnostics.RouteinfoTransfers += 1
		}
	}

	diagnostics.RouteinfoDuration = uint((*legs)[len(*legs)-1].LegEndTime.Sub((*legs)[0].LegBeginTime).Seconds())

	return diagnostics
}
