package main

const (
	cmdDoc = `Usage of %s:
  mobroute [subcommand]

Description:
  Mobroute is a general purpose FOSS public transportation router (e.g. trip planner). See: http://sr.ht/~mil/mobroute

Subcommands:
  - route: Perform a GTFS-based routing request via to CSA algorithm calculation, and formatting 
  - stops: Query to determine stops near a specific geocoordinate based on GTFS data
  - schedule: Query departure schedule for specific stops based on GTFS data
  - database: Download, import, clear, and manage GTFS data in the SQLite database (run before: route, stops, or schedule)
  - databaseq: Query the SQLite database for status of loaded GTFS feeds
  - version: Display the version information for this release
`
)
